#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 module with interface for media player features
Name:           kmediaplayer
Version: 5.114.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/portingAids/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Concurrent)

BuildRequires:  attica-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  kservice-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  sonnet-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  kbookmarks-devel >= %version
BuildRequires:  knotifications-devel >= %version
BuildRequires:  kjobwidgets-devel >= %version
BuildRequires:  kio-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kparts-devel >= %version
BuildRequires:  kxmlgui-devel >= %version

%description
KDE Frameworks 5 Tier 3 module with interface for media player features.

%files
%_kf5_servicetypes/*.desktop

#--------------------------------------------------------------------

%define kf5mediaplayer_major 5
%define libkf5mediaplayer %mklibname kf5mediaplayer %{kf5mediaplayer_major}

%package -n %libkf5mediaplayer
Summary:        KDE Frameworks 5 Tier 3 module with interface for media player features
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5mediaplayer
KDE Frameworks 5 Tier 3 module with interface for media player features.

%files -n %libkf5mediaplayer
%_kf5_libdir/libKF5MediaPlayer.so.%{kf5mediaplayer_major}{,.*}

#--------------------------------------------------------------------

%define kf5mediaplayer_devel %mklibname kf5mediaplayer -d

%package -n %kf5mediaplayer_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5mediaplayer = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5mediaplayer_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5mediaplayer_devel
%_kf5_includedir/KMediaPlayer/
%_kf5_libdir/cmake/KF5MediaPlayer/
%_kf5_libdir/*.so
%_kf5_datadir/dbus-1/interfaces/kf5_org.kde.KMediaPlayer.xml

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install



%changelog
* Thu Feb 08 2024 neoclust <neoclust> 5.114.0-1.mga9
+ Revision: 2039561
- New version 5.114.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952060
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947863
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941369
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935019
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922267
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911634
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900238
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887674
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880620
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871760
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853647
- New version 5.93.0

* Sun Apr 10 2022 neoclust <neoclust> 5.92.0-2.mga9
+ Revision: 1848446
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754848
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749099
- New version 5.87.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735281
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723474
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714868
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702046
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691138
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653353
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633205
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625628
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612337
- New version 5.73.0

* Thu Jul 09 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603393
- New version 5.72.0

* Wed Jun 17 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1593922
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582030
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566521
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556697
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546916
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486834
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466244
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457629
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451011
- New version 5.63.0

* Tue Sep 24 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1445269
- New version 5.62.0

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420035
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386951
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1382635
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374996
- New version 5.56.0
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364553
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356763
- New version 5.54.0
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339232
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318979
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298586
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1248904
- New version 5.49.0

* Mon May 21 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1231113
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192298
- New version 5.42.0

* Thu Dec 28 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1186202
- New version 5.41.0

* Tue Oct 03 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1167938
- New version 5.38.0
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140416
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123517
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088980
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074552
- New version 5.29.0

* Tue Dec 06 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072770
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058371
- New version 5.27.0

* Sun Sep 11 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1051417
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045126
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041348
- New version 5.24.0

* Sun Jun 19 2016 tmb <tmb> 5.23.0-1.mga6
+ Revision: 1036260
- add missing tarball
+ neoclust <neoclust>
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014356
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999607
- New version 5.21.0

* Mon Mar 07 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986965
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942265
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921328
- New version 5.18.0

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909918
- New version 5.17.0
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900438
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899417
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898965
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888205
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881429
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862990
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862624
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853946
- New version 5.12.0

* Wed Jul 01 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 849325
- New version 5.11.0

* Fri Dec 19 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 804101
- New version

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 743436
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681113
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 661764
- New version 5.1.0
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599826
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597473
- imported package kmediaplayer

